<div class="dice-box" [class.disabled-dice]="disabled">
  <div
    class="dice dice-one"
    [class.disabled]="!active"
    (click)="rollRandom()"
    #dice
  >
    <div class="side one">
      <div class="divot one-1"></div>
    </div>
    <div class="side two">
      <div class="divot two-1"></div>
      <div class="divot two-2"></div>
    </div>
    <div class="side three">
      <div class="divot three-1"></div>
      <div class="divot three-2"></div>
      <div class="divot three-3"></div>
    </div>
    <div class="side four">
      <div class="divot four-1"></div>
      <div class="divot four-2"></div>
      <div class="divot four-3"></div>
      <div class="divot four-4"></div>
    </div>
    <div class="side five">
      <div class="divot five-1"></div>
      <div class="divot five-2"></div>
      <div class="divot five-3"></div>
      <div class="divot five-4"></div>
      <div class="divot five-5"></div>
    </div>
    <div class="side six">
      <div class="divot six-1"></div>
      <div class="divot six-2"></div>
      <div class="divot six-3"></div>
      <div class="divot six-4"></div>
      <div class="divot six-5"></div>
      <div class="divot six-6"></div>
    </div>
  </div>
</div>
